(add-to-list 'load-path "~/.emacs.d/elisp-git/god-mode/")

(require 'god-mode)
(global-set-key (kbd "<escape>") 'god-mode-all)
(god-mode-all)

(setq god-exempt-major-modes nil)
(setq god-exempt-predicates nil)
;; for helm
;; (define-key helm-map (kbd "<escape>") 'god-local-mode)

(defun my-update-cursor ()
  (setq cursor-type (if (or god-local-mode buffer-read-only)
                        'box 'bar)))

(add-hook 'god-mode-enabled-hook 'my-update-cursor)
(add-hook 'god-mode-disabled-hook 'my-update-cursor)

(require 'god-mode-isearch)
(define-key isearch-mode-map (kbd "<escape>") 'god-mode-isearch-activate)
(define-key god-mode-isearch-map (kbd "<escape>") 'god-mode-isearch-disable)
